import { Table } from '@equinor/eds-core-react';
import { TableHeaderCell } from './TableHeaderCell.js';
import { jsx } from 'react/jsx-runtime';

function TableHeaderRow({
  headerGroup,
  columnResizeMode,
  deltaOffset,
  table
}) {
  return /*#__PURE__*/jsx(Table.Row, {
    children: headerGroup.headers.map(header => /*#__PURE__*/jsx(TableHeaderCell, {
      header: header,
      table: table,
      columnResizeMode: columnResizeMode,
      deltaOffset: deltaOffset
    }, header.id))
  });
}

export { TableHeaderRow };
