import { InputHTMLAttributes } from 'react';
type Value = string | number | Array<string | number>;
export declare function DebouncedInput({ value: initialValue, values, onChange, debounce, label, ...props }: {
    value: Value;
    values: Array<string | number>;
    onChange: (value: Value) => void;
    debounce?: number;
    label?: string;
} & Omit<InputHTMLAttributes<HTMLInputElement>, 'onChange'>): import("react/jsx-runtime").JSX.Element;
export {};
