import { ColumnResizeMode, Header, Table as TanStackTable } from '@tanstack/react-table';
type Props<T> = {
    header: Header<T, unknown>;
    columnResizeMode: ColumnResizeMode | null | undefined;
    deltaOffset: number | null;
    table: TanStackTable<T>;
};
export declare function TableHeaderCell<T>({ header, columnResizeMode }: Props<T>): import("react/jsx-runtime").JSX.Element;
export {};
